- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
WP5ExtendedCharacterGroup Class Reference

`#include <WP5ExtendedCharacterGroup.h>`

Inheritance diagram for WP5ExtendedCharacterGroup:

## Public Member Functions
| WP5ExtendedCharacterGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char groupID)
void | parse (WP5Listener *listener)
Public Member Functions inherited from WP5FixedLengthGroup
| WP5FixedLengthGroup (const unsigned char groupID)
unsigned char | getGroup () const
Public Member Functions inherited from WP5Part
virtual | ~WP5Part ()

## Protected Member Functions
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
Protected Member Functions inherited from WP5FixedLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)

## Private Attributes
unsigned char | m_character
unsigned char | m_characterSet

## Additional Inherited Members
Static Public Member Functions inherited from WP5FixedLengthGroup
static WP5FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP5Part
static WP5Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Constructor & Destructor Documentation

WP5ExtendedCharacterGroup::WP5ExtendedCharacterGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | groupID
| ) |  |

## Member Function Documentation

void WP5ExtendedCharacterGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| protected virtual

Implements WP5FixedLengthGroup.

void WP5ExtendedCharacterGroup::parse | ( | WP5Listener * | listener | ) |
| virtual

Implements WP5Part.

## Member Data Documentation

unsigned char WP5ExtendedCharacterGroup::m_character
| private

Referenced by _readContents(), and parse().

unsigned char WP5ExtendedCharacterGroup::m_characterSet
| private

Referenced by _readContents(), and parse().

The documentation for this class was generated from the following files:

- WP5ExtendedCharacterGroup.h
- WP5ExtendedCharacterGroup.cpp